<template>
  <div class="operationLog_box">
    <My-bread :list="[
        `${$t('operatManage.operatManage')}`,
        `${$t('operatManage.operationLog')}`,
      ]"></My-bread>
    <el-divider />
    <div class="inquire subpage_Div">

      <el-form
        :inline="true"
        ref="sizeForm"
        :model="sizeForm"
      >
        <el-form-item
          prop="uname"
          :label="$t('operatManage.operationLogObj.username')"
        >
          <el-input
            v-model="sizeForm.uname"
            :placeholder="$t('operatManage.operationLogObj.pleaseInput')"
          />
        </el-form-item>
        <el-form-item
          prop="type"
          :label="$t('operatManage.operationLogObj.operationType')"
        >
          <el-select
            clearable
            v-model="sizeForm.type"
            :placeholder="$t('operatManage.operationLogObj.pleaseSelect')"
          >
            <el-option
              :label="$t('operatManage.operationLogObj.check')"
              value="1"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.added')"
              value="2"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.modification')"
              value="3"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.delete')"
              value="4"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.uploading')"
              value="5"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.download')"
              value="6"
            />
            <el-option
              :label="$t('operatManage.operationLogObj.otherOne')"
              value="0"
            />
          </el-select>
        </el-form-item>
        <el-form-item
          prop="start"
          :label="$t('operatManage.operationLogObj.startTime')"
        >
          <el-date-picker
            format="yyyy-MM-dd HH:mm:ss"
            value-format="yyyy-MM-dd HH:mm:ss"
            v-model="sizeForm.start"
            style="width: 100%"
            type="datetime"
            :placeholder="$t('operatManage.operationLogObj.optionDate')"
          ></el-date-picker>
        </el-form-item>
        <el-form-item
          prop="end"
          :label="$t('operatManage.operationLogObj.endTime')"
        >
          <el-date-picker
            format="yyyy-MM-dd HH:mm:ss"
            value-format="yyyy-MM-dd HH:mm:ss"
            v-model="sizeForm.end"
            style="width: 100%"
            type="datetime"
            :placeholder="$t('operatManage.operationLogObj.optionDate')"
          >
          </el-date-picker>
        </el-form-item>

        <el-form-item>
          <el-button
            @click="onSubmit"
            icon="el-icon-search"
            size="small"
            type="primary"
          >{{ $t("operatManage.operationLogObj.inquire") }}</el-button>
          <el-button
            @click="onEmpty('sizeForm')"
            icon="el-icon-delete"
            type="info"
            size="small"
          >{{ $t("operatManage.operationLogObj.empty") }}</el-button>
        </el-form-item>
      </el-form>
    </div>
    <div class="table_box subpage_Div">
      <el-table
        :data="tableData"
        style="width: 100%"
        height="79%"
      >
        <!-- <el-table-column type="selection" width="55" /> -->
        <el-table-column
          :label="$t('operatManage.operationLogObj.num')"
          type="index"
          width="80"
        >
        </el-table-column>
        <!-- <el-table-column prop="Accessnumber" label="访问编号" /> -->
        <el-table-column
          prop="modular1"
          :label="$t('operatManage.operationLogObj.operationModule1')"
        />
        <el-table-column
          prop="modular2"
          :label="$t('operatManage.operationLogObj.operationModule2')"
        />
        <el-table-column
          prop="url"
          :label="$t('operatManage.operationLogObj.url')"
        />

        <!-- <el-table-column prop="loginaddress" label="登录地点" /> -->
        <el-table-column
          prop="clazz"
          :label="$t('operatManage.operationLogObj.className')"
        />
        <el-table-column
          :formatter="formatType"
          prop="type"
          :label="$t('operatManage.operationLogObj.operationType')"
        />
        <el-table-column
          prop="uname"
          :label="$t('operatManage.operationLogObj.username')"
        />
        <el-table-column
          prop="ip"
          :label="$t('operatManage.operationLogObj.IP')"
        />

        <el-table-column
          prop="optime"
          :formatter="formatData"
          :label="$t('operatManage.operationLogObj.operatingTime')"
        />
        <el-table-column
          prop="bak"
          :label="$t('operatManage.operationLogObj.bak')"
        />

        <!-- <el-table-column fixed="right" label="操作" width="100">
          <template #default>

            <el-button type="primary" size="small">删除</el-button>
          </template>
        </el-table-column> -->
      </el-table>
      <div
        style="margin-top: 40px"
        class="pagination_box"
      >
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="listData.pageIndex"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="listData.pageSize"
          layout="total, sizes, prev, pager, next, jumper"
          :total="count"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
import { operateSelectByPageAndCount } from "../../api/api";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      sizeForm: {
        uname: "",
        start: null,
        end: null,
        type: [],
      },
      tableData: [],
      listData: {
        pageIndex: 1,
        pageSize: 10,
      },
      count: 0,
    };
  },
  methods: {
    //格式化时间
    add0(m) {
      return m < 10 ? "0" + m : m;
    },
    //格式化时间
    format(shijianchuo) {
      //shijianchuo是整数，否则要parseInt转换
      var time = new Date(shijianchuo);
      var y = time.getFullYear();
      var m = time.getMonth() + 1;
      var d = time.getDate();
      var h = time.getHours();
      var mm = time.getMinutes();
      var s = time.getSeconds();
      return (
        y + "-" + this.add0(m) + "-" + this.add0(d)
        // " " +
        // this.add0(h) +
        // ":" +
        // this.add0(mm) +
        // ":" +
        // this.add0(s)
      );
    },
    //格式化列表
    formatData(row, column) {
      let data = row[column.property];
      if (data == null) {
        return data;
      }
      return this.format(data);
    },
    //格式化类别
    formatType(row, column) {
      let data;
      switch (row[column.property]) {
        case 0:
          data = "其它";
          break;
        case 1:
          data = "查看";
          break;
        case 2:
          data = "新增";
          break;
        case 3:
          data = "修改";
          break;
        case 4:
          data = "删除";
          break;
        case 5:
          data = "上传";
          break;
        case 6:
          data = "下载";
          break;
      }
      return data;
    },
    handleSizeChange(val) {
      this.listData.pageSize = val;
      this.getList();
    },
    handleCurrentChange(val) {
      this.listData.pageIndex = val;
      this.getList();
    },
    onSubmit() {
      this.listData = { ...this.listData, ...this.sizeForm };
      //  console.log(this.listData)
      this.getList();
    },
    onEmpty(formData1) {
      this.$refs[formData1].resetFields(); //重置表单数据
    },

    async getList() {
      const data = await operateSelectByPageAndCount(this.listData);

      if (data.code != 200) {
        return this.$message.error("列表调用失败");
      }
      this.tableData = data.result;
      this.count = data.count;
    },
  },
  created() {
    this.getList();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.operationLog_box {
  height: 98%;
  width: 98%;
  padding: 1%;

  .inquire {
    padding: 10px;
    margin-top: 20px;
    border-radius: 5px;
   
    margin-bottom: 20px;
  }
  .table_box {
    padding: 10px;
    border-radius: 5px;
    overflow: auto;
    height: 60%;
  }
  .text-center {
    text-align: center;
  }
}
</style>
